=== modified file 'bzrlib/lockable_files.py'
--- bzrlib/lockable_files.py	2006-05-05 08:29:29 +0000
+++ bzrlib/lockable_files.py	2006-06-01 09:36:09 +0000
@@ -73,13 +73,12 @@
         :param lock_class: Class of lock strategy to use: typically
             either LockDir or TransportLock.
         """
-        object.__init__(self)
         self._transport = transport
         self.lock_name = lock_name
         self._transaction = None
-        self._find_modes()
         self._lock_mode = None
         self._lock_count = 0
+        self._find_modes()
         esc_name = self._escape(lock_name)
         self._lock = lock_class(transport, esc_name,
                                 file_modebits=self._file_mode,

=== modified file 'bzrlib/revisionspec.py'
--- bzrlib/revisionspec.py	2006-05-23 10:51:37 +0000
+++ bzrlib/revisionspec.py	2006-05-24 00:06:33 +0000
@@ -261,18 +261,6 @@
         return len(self.revs)
 
 
-class RevisionSpec_revs:
-    def __init__(self, revs, branch):
-        self.revs = revs
-        self.branch = branch
-    def __getitem__(self, index):
-        r = self.branch.repository.get_revision(self.revs[index])
-        # TODO: Handle timezone.
-        return datetime.datetime.fromtimestamp(r.timestamp)
-    def __len__(self):
-        return len(self.revs)
-
-
 class RevisionSpec_date(RevisionSpec):
     prefix = 'date:'
     _date_re = re.compile(

=== modified file 'bzrlib/tests/test_revisionnamespaces.py'
--- bzrlib/tests/test_revisionnamespaces.py	2006-05-23 10:51:37 +0000
+++ bzrlib/tests/test_revisionnamespaces.py	2006-05-24 00:06:33 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005 by Canonical Ltd
+# Copyright (C) 2004, 2005, 2006 by Canonical Ltd
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -56,8 +56,6 @@
                           (1, 'a@r-0-1'))
         self.assertEquals(RevisionSpec('before:date:today').in_history(b),
                           (1, 'a@r-0-1'))
-        self.assertRaises(NoSuchRevision,
-                          RevisionSpec('date:tomorrow').in_history, b)
 
         self.assertEquals(RevisionSpec('last:1').in_history(b),
                           (3, 'a@r-0-3'))

=== modified file 'setup.py'
--- setup.py	2006-05-30 15:18:12 +0000
+++ setup.py	2006-06-04 10:55:31 +0000
@@ -81,10 +81,10 @@
 ########################
 
 setup(name='bzr',
-      version='0.8pre',
-      author='Martin Pool',
-      author_email='mbp@sourcefrog.net',
-      url='http://www.bazaar-ng.org/',
+      version='0.9pre',
+      author='Canonical Ltd',
+      author_email='bazaar-ng@lists.ubuntu.com',
+      url='http://bazaar-vcs.org/',
       description='Friendly distributed version control system',
       license='GNU GPL v2',
       packages=['bzrlib',

